Skip to main content
POST
/
networks
/
tracking
/
campaigns
/
clicks
/
qr
Generate Smart Link Tracking Link QR Code
curl --request POST \
  --url https://api.eflow.team/v1/networks/tracking/campaigns/clicks/qr \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_campaign_id": 1,
  "network_affiliate_id": 1
}
'
"<string>"
Generate a QR code image that points to the click tracking link for a smart link (campaign) and affiliate pair. The body parameters are the same as the Generate Smart Link Tracking Link endpoint. Returns a streaming response with Content-Type image/png.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Body

application/json
network_campaign_id
integer
required

The ID of the smartlink.

network_affiliate_id
integer
required

The ID of the affiliate.

network_traffic_source_id
integer

An optional traffic source ID.

network_tracking_domain_id
integer

An optional ID for a specific tracking domain.

source_id
string

An optional source_id query string parameter.

sub1
string
sub2
string
sub3
string
sub4
string
sub5
string
is_encrypt_parameters
boolean

Whether to encrypt all query string parameters.

Override the direct linking setting.

Response

200 - image/png

OK — returns a PNG image file.

The response is of type file.